#include "lineedit.h"
#include <QDebug>
LineEdit::LineEdit(QWidget *parent) :
    QLineEdit(parent)
{
    row = 0;
    column = 0;
}

void LineEdit::focusInEvent(QFocusEvent *e)
{
    qDebug()<<"focusInEvent";
    emit focusedIn(row,column);
    QLineEdit::focusInEvent(e);


}

void LineEdit::setRowColumn(int r, int c)
{
    row = r;
    column = c;
}
